<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Category Template
 *
 *
 * @file           category.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/category.php
 * @link           http://codex.wordpress.org/Theme_Development#Archive_.28category.php.29
 * @since          available since Release 1.0
 */
?>

<?php get_header(); 
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; // Needed for pagination
?>
<h1><?php single_cat_title(); ?>: latest posts and insights</h1>

<div id="articles" class="row">
<ul class="article-list no-bullets">
<?php if(!is_paged()) : ?>
<?php 
	query_posts( array('post_type' => $post_types, 'cat' => $cat, 'posts_per_page' => 1, 'meta_key' => 'dbt_checkbox_featured', 'orderby' => 'date'));
	while (have_posts()) : the_post();
	$thePostID = $post->ID;
	$post_type = get_post_type_object( get_post_type($post));
	$pagecat = $this_category->category_nicename;
	$articlecat = $category = get_the_category()->category_nicename;
	$key = 'postVideo';
	$video_content = get_post_meta($post->ID, $key, TRUE);
?>

<?php if($articlecat == $pagecat) { ?>
	<li class="featured-article box twelve-col<?php the_category_unlinked(' post-'); ?>">
		<article>
			<div class="article-content six-col">
				<header>
					<?php get_template_part("includes/_article_meta"); ?>
					<h2><a href="<?php the_permalink(); ?>"><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { $post_type = get_post_type_object(get_post_type($post)); echo $post_type->labels->singular_name, ': '; } ?><?php the_title(); ?></a></h2>
				</header>
				<?php the_excerpt(); ?>
			</div><!-- /.article-content -->
			<div class="article-image six-col right last-col">
				<a href="<?php the_permalink(); ?>">
				<?php if('video' == get_post_type()) { ?>
					<img src="http://img.youtube.com/vi/<?php echo $video_content; ?>/0.jpg" width="260" height="146" alt="" />
				<?php } else { ?>	
				<?php the_post_thumbnail('medium'); ?> 	
				<?php } ?>
				</a>
				<?php if('ebook' == get_post_type() || 'whitepaper' == get_post_type()) : ?> 
				<a class="button" href="<?php the_permalink(); ?>">Get <?php echo $post_type->labels->title_friendly; ?> download</a>
				<?php endif; // end if('ebook' == get_post_type() || 'whitepaper' == get_post_type()) ?>
			</div><!-- /.article-image -->
		</article>
	</li>
<?php } /*end if($articlecat == $pagecat)*/ endwhile; /* (have_posts()) */ endif; // end if(is_paged()) ?>
<?php 
	wp_reset_query();
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$loop = new WP_Query( array(
		'posts_per_page' => 999,
		'cat' => $cat,
		'post_type' => $post_types,
		'paged'=>$paged
	));
	$style_classes = array('','',' last-col');
	$style_index = 0;
	$postCount = 0;
	if ( have_posts() ) : 
?>
<?php while ($loop->have_posts()) : $loop->the_post(); ?>
	<?php if($thePostID == $post->ID) { } else { ?>
		<li class="<?php if(++$postCount <= 3) { echo 'four-col'; } else { echo 'eight-col'; } ?><?php if(is_paged()) { echo ' eight-col'; }?> block-click<?php $k = $style_index%3; echo "$style_classes[$k]"; $style_index++; ?><?php $post_type = get_post_type_object( get_post_type($post) ); echo ' post-', $post_type->labels->css_friendly; ?>">
        	<article<?php if($postCount <= 3) { echo ' class="box"'; } ?>>
        	<?php
				$key = 'postVideo';
				$video_content = get_post_meta($post->ID, $key, TRUE);
				$lock = 'dbt_checkbox';
				$gated_content = get_post_meta($post->ID, $lock, TRUE);
        	?>
			<header<?php if(($postCount >= 4) && (has_post_thumbnail() || 'video' == get_post_type()) ) { echo ' class="five-col last-col right"'; } ?>>
				<h2><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { $post_type = get_post_type_object(get_post_type($post)); echo $post_type->labels->singular_name, ': '; } ?><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<?php get_template_part("includes/_article_meta"); ?>
				<?php if (get_post_type() != 'video') { ?><?php } // end $video_content ?>
			</header>
			<?php if($postCount >= 4) { ?>
				<?php if(has_post_thumbnail() || 'video' == get_post_type()) { ?><div class="article-image three-col"><?php } ?>
				<?php if('video' == get_post_type()) { ?>
					<img src="http://img.youtube.com/vi/<?php echo $video_content; ?>/0.jpg" width="260" height="146" alt="" />
				<?php }	?>	
					<?php if(has_post_thumbnail()) { the_post_thumbnail(); } ?>
					<?php if(has_post_thumbnail() || 'video' == get_post_type()) { echo '</div>'; } ?>
					<?php if(has_post_thumbnail()) { ?><div class="five-col last-col"><?php }?>
			<?php } else { // if $postCount ?>
					<?php if(has_post_thumbnail() && $postCount <= 3) { the_post_thumbnail(); } else { the_excerpt(); } ?>	
			<?php } // end if $postCount ?>
				<?php if($postCount >= 4) the_excerpt(); ?>	
			<footer>
				<p><a class="link-arrow" href="<?php the_permalink(); ?>"><?php if('post' == get_post_type()) { echo 'Read article'; } else { ?>View <?php echo $post_type->labels->title_friendly; ?><?php } ?> <span class="off-left">'<?php the_title(); ?>' </span></a></p>
<?php if (comments_open()) { ?>
				<p class="comment-number right"><a href="<?php the_permalink(); ?>#comments" title="Comment on '<?php the_title(); ?>'"><?php comments_number( '', '1', '%' ); ?><span><?php comments_number( 'Add comment', ' comment', ' comments' ); ?></span></a></p>
<?php } else { ?>
	<?php 
		if($number == 0) {
			} else { ?>
				<p class="comment-number right"><a href="<?php the_permalink(); ?>#comments" title="View comments on '<?php the_title(); ?>'"><?php comments_number( '', '1', '%' ); ?><span><?php comments_number( 'View comments', ' comment', ' comments' ); ?></span></a></p>
	<?php } ?>	
<?php } // end if comments open ?>
			</footer>
 					<?php if(($postCount >= 4) && has_post_thumbnail()) { echo '</div>'; } ?>
       	</article>
        </li>
    <?php if($postCount == 3 ) { ?>
    		</ul>
    	</div><!-- /.row -->
    	<div class="eight-col article-list-wrapper">
    		<ul class="article-list no-bullets">
    <?php } ?>
    <?php if( ( $wp_query->current_post + 1 ) === $wp_query->post_count && ($postCount >= 3) ) { 
    	echo 
    		"</ul></div><!-- /.eight-col -->"
    	; } 
    	elseif( ( $wp_query->current_post + 1 ) === $wp_query->post_count) { 
    	echo 
    		"</ul></div>"
    	; } 
    ?>
    <?php } // end if($thePostID == $post->ID) ?>
		<?php endwhile;?>
</ul></div><!-- /.eight-col -->
<?php 
	endif;
	wp_reset_query();
?>
<?php get_sidebar(); ?>

<?php get_footer(); ?>
