<?php
// general

// post types - add new post types here and at the top of post-types.php
$post_types = array('ebook', 'video', 'whitepaper', 'casestudy', 'post', 'infographic', 'glossary', 'checklist');

// prevent promos from apearing in search results
function searchfilter($query) {
    if ($query->is_search) {
        $query->set('post_type',array('ebook', 'video', 'whitepaper', 'casestudy', 'post', 'infographic', 'glossary', 'checklist'));
    }
return $query;
}
add_filter('pre_get_posts','searchfilter');
// end prevent promos from apearing in search results

// add class to pagination links
add_filter('next_posts_link_attributes', 'posts_link_attributes_1');
add_filter('previous_posts_link_attributes', 'posts_link_attributes_2');

function posts_link_attributes_1() {
    return 'class="prev-post"';
}
function posts_link_attributes_2() {
    return 'class="next-post"';
}
// end add class to pagination links

// force display-name of users to Firstname Lastname
function force_pretty_displaynames() {
    $current_user = wp_get_current_user();
    if ($current_user->display_name != $current_user->first_name." ".$current_user->last_name){ 
       update_user_meta($current_user->ID, 'display_name', $current_user->first_name." ".$current_user->last_name);
    }

}
add_action('admin_head','force_pretty_displaynames');
// end force display-name of users to Firstname Lastname

// set max image
if ( ! isset( $content_width ) ) $content_width = 540;
// end set max image

// get category to output as list
function the_category_unlinked($separator = ' ') {
    $categories = (array) get_the_category();
    $thelist = '';
    foreach($categories as $category) {    // concate
        $thelist .= $separator . $category->category_nicename;
    }
    echo $thelist;
}
// end get category to output as list

add_action( 'pre_get_posts', 'wpse7687_pre_get_posts' );
function wpse7687_pre_get_posts( &$wp_query ) {
    if ( $wp_query->is_category && 'latest-news' == $wp_query->get_queried_object()->slug ) {
        $wp_query->set( 'posts_per_page', 4 );
    }
}

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 300, 180, true );
add_theme_support( 'automatic-feed-links' );

if (function_exists('register_sidebar'))
    register_sidebar();

// This theme uses wp_nav_menu() in one location.
register_nav_menus( array(
	'primary' => __( 'Primary Navigation', 'ubuntu' ),
) );

// custom excerpt length
function custom_excerpt_length( $length ) {
	return 19;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
// end custom excerpt length

// add link to read more link to article excerpt function
function new_excerpt_more($more) {
	global $post;
	return '&hellip;';
}
add_filter('excerpt_more', 'new_excerpt_more');
// end add link to read more link to article excerpt function

// get popular posts based on view count
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
// end get popular posts based on view count

// redirect to single post if there is one post in category/tag 
/*function stf_redirect_to_post(){
    global $wp_query;
  
    // If there is one post on archive page
    if( is_archive() && $wp_query->post_count == 1 ){
        // Setup post data
        the_post();
        // Get permalink
        $post_url = get_permalink();
        // Redirect to post page
        wp_redirect( $post_url );
    }  
  
} add_action('template_redirect', 'stf_redirect_to_post');
*/
// end redirect to single post if there is one post in category/tag 

// remove unnecessary items from wp_head
remove_action( 'wp_head', 'feed_links_extra', 3 ); // Display the links to the extra feeds such as category feeds
remove_action( 'wp_head', 'feed_links', 2 ); // Display the links to the general feeds: Post and Comment Feed
remove_action( 'wp_head', 'rsd_link' ); // Display the link to the Really Simple Discovery service endpoint, EditURI link
remove_action( 'wp_head', 'wlwmanifest_link' ); // Display the link to the Windows Live Writer manifest file.
remove_action( 'wp_head', 'index_rel_link' ); // index link
remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 ); // prev link
remove_action( 'wp_head', 'start_post_rel_link', 10, 0 ); // start link
remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 ); // Display relational links for the posts adjacent to the current post.
remove_action( 'wp_head', 'wp_generator' ); // Display the XHTML generator that is generated on the wp_head hook, WP version
// end remove unnecessary items from wp_head

?>