<?php
/* 
	Contents:
		add jquery
		add google plus and marketo for single only (atm)
		add facebook social gubbin's
		add ie conditional html5 shim to header
		add infinite Scroll and masonry
		add author javascript
		add google analytics
		add marketo to footer
*/

// add jquery
function my_init() {
	if (!is_admin()) {
		wp_deregister_script('jquery');
		wp_register_script('jquery', get_template_directory_uri() . '/assets/js/jquery.min.js', false, '1.8.1', true);
		wp_enqueue_script('jquery');
		
    	// load masonry jquery		
		wp_register_script( 'jquery_masonry',  get_template_directory_uri() . '/assets/js/jquery.masonry.min.js', array('jquery'),null,true );
		
    	// load infinite scroll jquery		
		wp_register_script( 'infinite_scroll',  get_template_directory_uri() . '/assets/js/jquery.infinitescroll.min.js', array('jquery'),null,true );
		    if( ! is_singular() ) {
		        wp_enqueue_script('infinite_scroll');
		        wp_enqueue_script('jquery_masonry');
		    }

		// *Load this last* load a JS file for Ubuntu: js/core.js
		wp_enqueue_script('ubuntu_core', get_bloginfo('template_url') . '/assets/js/core.js', array('jquery'), '1.0', true);
	}
}
add_action('init', 'my_init');
// end add jquery

// add google plus and marketo for single only (atm)
function wpse53364() {
    if( !is_admin() && is_single() ) {
    	// load google plus button js
		wp_register_script('plusone', 'https://apis.google.com/js/plusone.js', false,'1', true);		wp_enqueue_script('plusone');
    }
}
add_action( 'wp_enqueue_scripts', 'wpse53364' );
// end add google plus and marketo

// add facebook social gubbin's
function add_facebook_social () {
	if( !is_admin() && is_single() ) {
		echo '<div id="fb-root"></div><script>(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, "script", "facebook-jssdk"));</script>';
	}
}
add_action('wp_footer', 'add_facebook_social');
// end add facebook social gubbin's

// add ie conditional html5 shim to header
function add_ie_html5_shim () {
	global $is_IE;
	if ($is_IE);
		echo '<!--[if lt IE 9]>';
    	echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';
		echo '<![endif]-->';
}
add_action('wp_head', 'add_ie_html5_shim');
// end add ie conditional html5 shim to header

// add infinite Scroll and masonry
function custom_infinite_scroll_js() {
    if(! is_singular()) { ?>
    <script>
    $(function(){

      var $container = $('.home #articles ul.article-list, #authors ul, .search #articles #results-list');
    
      $container.imagesLoaded( function(){
        $container.masonry({
          itemSelector : '.box',
          columnWidth: 40,
          isAnimated: true
        });
      });
      
      $container.infinitescroll({
        navSelector  : '.navigation',    // selector for the paged navigation 
        nextSelector : '.navigation .nav-previous a',  // selector for the NEXT link (to page 2)
        itemSelector : '.box',     // selector for all items you'll retrieve
        animate      : true,
        behavior 	 : 'twitter',
        loading: {
				msgText			: 'Loading more posts...',
				finishedMsg		: '<em>All posts are loaded</em>',
				img				: '<?php echo get_template_directory_uri(); ?>/assets/img/ajax-loader.gif'
			}
        },
        
        // call Masonry as a callback
        	function( newElements ) {
        		var $newElems = $( newElements ).css({ opacity: 0 });
        		// ensure that images load before adding to masonry layout
        		$newElems.imagesLoaded(function(){
          		// show elems now they're ready
         	    $newElems.animate({ opacity: 1 });
          		$container.masonry( 'appended', $newElems, true ); 
        	});
       });
    });


    </script>
    <?php
    }
}
add_action( 'wp_footer', 'custom_infinite_scroll_js',100 );
// end infinite Scroll
    
// add author javascript
function author_js() {
    if(is_page('authors')) { ?>
    <script>
	jQuery(document).ready(function($){
		$('#authors ul').masonry({
			itemSelector: '.box',
			columnWidth: 40
		});
	});    
    </script>
    <?php
    }
}
add_action( 'wp_footer', 'author_js',100 );
// end add author javascript

// add google analytics to footer
function add_google_analytics() {
	if (!is_admin()) { ?>
        <!-- google analytics -->
		<script>
			var _gaq = _gaq || []; _gaq.push([’_setAccount’, ‘UA-1018242-39’]); _gaq.push([’_trackPageview’]); (function() { var ga = document.createElement(‘script’); ga.type = ‘text/javascript’; ga.async = true; ga.src = (‘https:’ == document.location.protocol ? ‘https://ssl’; : ‘http://www’;) + ’.google-analytics.com/ga.js’; var s = document.getElementsByTagName(‘script’)[0]; s.parentNode.insertBefore(ga, s); })();
		</script>
    <?php
    }
}
add_action('wp_footer', 'add_google_analytics');
// end add google analytics to footer

// add munchkin to footer
function add_munchkin_tracking() {
	if (!is_admin()) { ?>
        <!-- marketo -->
		<script>
		document.write(unescape("%3Cscript src='" + document.location.protocol +
		  "//munchkin.marketo.net/munchkin.js' type='text/javascript'%3E%3C/script%3E"));
		</script>
		<script>Munchkin.init('066-EOV-335');</script>
    <?php
    }
}
add_action('wp_footer', 'add_munchkin_tracking');
// end add munchkin to footer
?>