<?php
// show custom post_types on category pages
function category_query_post_type($query) {
    if ( is_category() && false == $query->query_vars['suppress_filters'] )
        $query->set( 'post_type', array( 'whitepaper', 'ebook', 'post', 'video', 'attachment', 'casestudy', 'post', 'infographic', 'glossary', 'checklist' ) );
    return $query;
}
add_filter('pre_get_posts', 'category_query_post_type');


// add ebook post type
add_action('init', 'post_type_ebook');
function post_type_ebook() 
{
  $labels = array(
    'name' => _x('E-book', 'post type general name'),
    'singular_name' => _x('E-book', 'post type singular name'),
    'add_new' => _x('Add New', 'ebook'),
    'add_new_item' => __('Add New E-book'),
    'view_item' => __('View E-book post'),
    'search_items' => __('Search E-books'),
    'css_friendly' => __('e-book'),
    'title_friendly' => __('e-book'),
    'edit_item' => __('Edit E-book post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 5,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/e-book-reader-white.png',
    'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt', 'author','comments' ));
  register_post_type('ebook',$args);
 
}
// end add ebook post type

// add whitepaper post type
add_action('init', 'post_type_whitepaper');
function post_type_whitepaper() 
{
  $labels = array(
    'name' => _x('Whitepaper', 'post type general name'),
    'singular_name' => _x('Whitepaper', 'post type singular name'),
    'add_new' => _x('Add New', 'whitepaper'),
    'add_new_item' => __('Add New Whitepaper'),
    'view_item' => __('View Whitepaper'),
    'search_items' => __('Search Whitepapers'),
    'css_friendly' => __('whitepaper'),
    'title_friendly' => __('whitepaper'),
    'edit_item' => __('Edit Whitepaper')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 6,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/document-pdf-text.png',
    'supports' => array( 'title', 'excerpt', 'editor', 'thumbnail', 'author','comments' ));
  register_post_type('whitepaper',$args);
 
}
// end add whitepaper post type

// add case study post type
add_action('init', 'post_type_casestudy');
function post_type_casestudy() 
{
  $labels = array(
    'name' => _x('Case study', 'post type general name'),
    'singular_name' => _x('Case study', 'post type singular name'),
    'add_new' => _x('Add New', 'casestudy'),
    'add_new_item' => __('Add New Case study'),
    'view_item' => __('View Case study post'),
    'search_items' => __('Search Case studies'),
    'css_friendly' => __('case-study'),
    'title_friendly' => __('case study'),
    'edit_item' => __('Edit Case study post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 6,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/document-text.png',
    'supports' => array( 'title', 'excerpt', 'editor', 'thumbnail', 'author','comments' ));
  register_post_type('casestudy',$args);
 
}
// end add case study post type

// add glossary post type
add_action('init', 'post_type_glossary');
function post_type_glossary() 
{
  $labels = array(
    'name' => _x('Glossary', 'post type general name'),
    'singular_name' => _x('Glossary', 'post type singular name'),
    'add_new' => _x('Add New', 'glossary'),
    'add_new_item' => __('Add New Glossary'),
    'view_item' => __('View Glossary post'),
    'search_items' => __('Search Glossarys'),
    'css_friendly' => __('glossary'),
    'title_friendly' => __('glossary'),
    'edit_item' => __('Edit Glossary post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 7,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/document-text.png',
    'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'author','comments'));
  register_post_type('glossary',$args);
 
}
// end add glossary post type

// add checklist post type
add_action('init', 'post_type_checklist');
function post_type_checklist() 
{
  $labels = array(
    'name' => _x('Checklist', 'post type general name'),
    'singular_name' => _x('Checklist', 'post type singular name'),
    'add_new' => _x('Add New', 'checklist'),
    'add_new_item' => __('Add New Checklist'),
    'view_item' => __('View Checklist post'),
    'search_items' => __('Search Checklists'),
    'css_friendly' => __('checklist'),
    'title_friendly' => __('checklist'),
    'edit_item' => __('Edit Checklist post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 8,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/document-text.png',
    'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'author','comments'));
  register_post_type('checklist',$args);
 
}
// end add checklist post type

// add video post type
add_action('init', 'post_type_video');
function post_type_video() 
{
  $labels = array(
    'name' => _x('Videos', 'post type general name'),
    'singular_name' => _x('Video', 'post type singular name'),
    'add_new' => _x('Add New', 'video'),
    'add_new_item' => __('Add New Video post'),
    'view_item' => __('View Video'),
    'search_items' => __('Search Videos'),
    'css_friendly' => __('video'),
    'title_friendly' => __('video'),
    'edit_item' => __('Edit Video post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 9,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/film.png',
    'supports' => array( 'title', 'excerpt', 'editor', 'author','comments' ));
  register_post_type('video',$args);
 
}
// end add video post type

// add infographic post type
add_action('init', 'post_type_infographic');
function post_type_infographic() 
{
  $labels = array(
    'name' => _x('Infographic', 'post type general name'),
    'singular_name' => _x('Infographic', 'post type singular name'),
    'add_new' => _x('Add New', 'infographic'),
    'add_new_item' => __('Add New Infographic'),
    'view_item' => __('View Infographic post'),
    'search_items' => __('Search Infographics'),
    'css_friendly' => __('infographic'),
    'title_friendly' => __('infographic'),
    'edit_item' => __('Edit Infographic post')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 10,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/image.png',
    'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'author','comments'));
  register_post_type('infographic',$args);
 
}
// end add infographic post type

// add promo post type
add_action('init', 'post_type_promo');
function post_type_promo() 
{
  $labels = array(
    'name' => _x('Promos', 'post type general name'),
    'singular_name' => _x('Promo', 'post type singular name'),
    'add_new' => _x('Add New', 'promo'),
    'add_new_item' => __('Add New Promo'),
    'view_item' => __('View promo'),
    'search_items' => __('Search promos'),
    'css_friendly' => __('promo'),
    'title_friendly' => __('promo'),
    'edit_item' => __('Edit promo')
  );
 
 $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'can_export' => true,
    'taxonomies' => array('category', 'post_tag'),
    'rewrite' => true,
    'menu_position'=> null,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 10,
    'has_archive' => true,
    'menu_icon' => get_stylesheet_directory_uri() . '/assets/img/admin/megaphone.png',
    'supports' => array('title', 'editor', 'thumbnail'));
  register_post_type('promo',$args);
 
}
// end add promo post type

?>