<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Header Template
 *
 *
 * @file           header.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/header.php
 * @link           http://codex.wordpress.org/Theme_Development#Document_Head_.28header.php.29
 * @since          available since Release 1.0
 */
$post_type = get_post_type_object( get_post_type($post) );
?>
<!doctype html>
<!--[if lt IE 7 ]> <html class="no-js ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>    

<title>
<?php if(is_author()) : ?>
<?php 
	$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author)); 
	echo $curauth->first_name; ?> <?php echo $curauth->last_name;
?> :: Ubuntu <?php bloginfo('name'); ?>
<?php else : ?>
<?php wp_title("",true); ?><?php if ( !is_home() ) { ?> :: <?php } ?> <?php bloginfo('name'); ?>
<?php endif; ?>
</title>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0;">
<meta name="author" content="Canonical Ltd">
<meta property="og:title" content="<?php bloginfo('name'); ?>">
<meta property="og:description" content="">
<meta property="og:url" content="<?php bloginfo('url'); ?>">
<meta property="og:type" content="blog">
<meta property="og:site_name" content="<?php bloginfo('name'); ?>">
<meta property="og:image" content="<?php echo get_template_directory_uri(); ?>/assets/img/facebook.png">
<meta property="fb:admins" content=""><!-- need to get this info -->
<meta property="og:locale" content="en_US">
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/assets/img/favicon.ico" type="image/x-icon">

<!-- stylesheets -->
<link rel="stylesheet" type="text/css" media="all" href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,400italic" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="wrapper">
<header class="banner" role="banner">
	<a class="logo" href="<?php echo get_option('home'); ?>/">
		<img src="<?php echo get_template_directory_uri(); ?>/assets/img/logo-ubuntu_su-orange-hex.png" alt="<?php bloginfo('name'); ?> logo"/>
		Insights
	</a>
	<?php get_template_part("includes/_nav"); ?>
	<?php get_template_part("includes/_tertiary_nav"); ?>
	<?php include (TEMPLATEPATH . '/searchform.php'); ?>
</header>

<div class="inner-wrapper">
<div id="content" role="main" class="twelve-col">
