<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Index Template
 *
 *
 * @file           index.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/index.php
 * @link           http://codex.wordpress.org/Theme_Development#Index_.28index.php.29
 * @since          available since Release 1.0
 */

get_header(); ?>

<h1 class="off-left">Welcome to Ubuntu <?php bloginfo('name'); ?></h1>
<?php 
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; // Needed for pagination
	$style_classes = array('','',' last-col'); // cycle last col
	$style_index = 0; // count for cycle
	$postCount = 0;
?>

<div id="articles" class="row">
<ul class="article-list no-bullets">
<?php if(is_home() && !is_paged()) { ?>
<?php 
	$my_query = new WP_Query('post_type=any&posts_per_page=1&meta_key=dbt_checkbox_featured&orderby=date&order=DESC');
	while ($my_query->have_posts()) : $my_query->the_post();
	$thePostID = $post->ID;
	$post_type = get_post_type_object( get_post_type($post));
?>
	<li class="featured-article box twelve-col<?php the_category_unlinked(' post-'); ?>">
		<article>
			<div class="article-content six-col">
				<header>
					<?php get_template_part("includes/_article_meta"); ?>
					<h2><a href="<?php the_permalink(); ?>"><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { $post_type = get_post_type_object(get_post_type($post)); echo $post_type->labels->singular_name, ': '; } ?><?php the_title(); ?></a></h2>
				</header>
				<?php the_excerpt(); ?>
			</div><!-- /.article-content -->
		<?php if(has_post_thumbnail()) { ?>
			<div class="article-image six-col right last-col">
				<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('medium'); ?></a>
				<?php if('ebook' == get_post_type() || 'whitepaper' == get_post_type()) { ?> 
				<a class="button" href="<?php the_permalink(); ?>">Get <?php echo $post_type->labels->title_friendly; ?> download</a>
				<?php } // end if('ebook' == get_post_type() || 'whitepaper' == get_post_type()) ?>
			</div><!-- /.article-image -->
		<?php } ?>
		</article>
	</li>
<?php endwhile; wp_reset_query(); ?>
<?php } ?>
 
<?php
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$loop = new WP_Query( array(
	'posts_per_page' => 8,
	'post_type' => $post_types,
	'paged'=>$paged
	));
?>
<?php if (have_posts()) : while ( $loop->have_posts() ) : $loop->the_post(); if( $post->ID == $do_not_duplicate ) continue;
	$lock = 'dbt_checkbox';
	$gated_content = get_post_meta($post->ID, $lock, TRUE);
	$number = get_comments_number($id);
	$key = 'postVideo';
	$video_content = get_post_meta($post->ID, $key, TRUE);
?>
<?php if($thePostID == $post->ID) { } else { ?>
	<li class="four-col box block-click<?php if(is_home() && !is_paged() && ++$postCount == 1) { echo ' last-col'; } ?><?php the_category_unlinked(' post-'); ?><?php $k = $style_index%3; echo "$style_classes[$k]"; $style_index++; ?><?php $post_type = get_post_type_object( get_post_type($post) );
echo ' post-', $post_type->labels->css_friendly; ?>">
		<article>
			<header>
				<h2><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { $post_type = get_post_type_object(get_post_type($post)); echo $post_type->labels->singular_name, ': '; } ?><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<?php get_template_part("includes/_article_meta"); ?>
				<?php if (get_post_type() != 'video') { ?><?php } // end $video_content ?>
			</header>
			<?php if('video' == get_post_type()) { ?>
				<img src="http://img.youtube.com/vi/<?php echo $video_content; ?>/0.jpg" width="260" height="146" />
			<?php } else {	?>		
				<?php if(has_post_thumbnail()) { the_post_thumbnail(); } else { the_excerpt(); } ?>
			<?php }	// end if video ?>
			<?php if('post' == get_post_type() && has_post_thumbnail()) the_excerpt(); ?>
			<footer>
				<p><a class="link-arrow" href="<?php the_permalink(); ?>"><?php if('post' == get_post_type()) { echo 'Read article'; } else { ?>View <?php echo $post_type->labels->title_friendly; ?><?php } ?> <span class="off-left">'<?php the_title(); ?>' </span></a></p>
<?php if (comments_open()) { ?>
				<p class="comment-number right"><a href="<?php the_permalink(); ?>#comments" title="Comment on '<?php the_title(); ?>'"><?php comments_number( '', '1', '%' ); ?><span><?php comments_number( 'Add comment', ' comment', ' comments' ); ?></span></a></p>
<?php } else { ?>
	<?php 
		if($number == 0) {
			} else { ?>
				<p class="comment-number right"><a href="<?php the_permalink(); ?>#comments" title="View comments on '<?php the_title(); ?>'"><?php comments_number( '', '1', '%' ); ?><span><?php comments_number( 'View comments', ' comment', ' comments' ); ?></span></a></p>
	<?php } ?>	
<?php } // end if comments open ?>
				<p class="post-cat"><span class="off-left">Posted in category:</span>
					<?php
						$category = get_the_category(); 
						if (!($cat->cat_name=='featured')) echo '<a href="'.get_category_link($category[0]->term_id ).'" title="View all '.$category[0]->cat_name.' posts">'.$category[0]->cat_name.'</a>';
					?>
				</p>
			</footer>
		</article>
	</li>
<?php if(is_home() && !is_paged() && $postCount == 1) { get_template_part("includes/_popular_posts"); } // include popular posts ?>
<?php } // end if($thePostID == $post->ID) ?>
<?php endwhile;?>
<?php endif; // if have_posts ends ?> 
</ul>

<?php get_template_part("includes/_pagination"); ?>

</div><!-- /#articles -->

<?php 
	get_footer();
?>