<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Authors Template
 *
 *
 * @file           page-authors.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/page-authors.php
 * @link           http://codex.wordpress.org/Author_Templates
 * @since          available since Release 1.0
 */
?>

<?php get_header(); ?>
<section>
<article id="authors" class="twelve-col">
	<?php
	$uid_arr = $wpdb->get_col($wpdb->prepare("
	SELECT $wpdb->users.ID
		FROM $wpdb->users
	join $wpdb->usermeta
		on $wpdb->users.ID = $wpdb->usermeta.user_id
	where $wpdb->usermeta.meta_key = 'displayonteam'
		and $wpdb->usermeta.meta_value = '1'
	"));
	?>
<header>
	<hgroup>
		<h1>Contributors</h1>
		<h2>The blog&rsquo;s industry-leading authors</h2>
	</hgroup>
</header>
<ul id="author-list" class="no-bullets">
	<?php foreach($uid_arr as $uid): ?>
			<li class="four-col box">
				<article>
				<header class="clearfix"><p>
					<div class="author-avatar">
						<a href="/author/<?php the_author_meta('user_nicename',$uid); ?>" title="Go to <?php the_author_meta('first_name',$uid); ?>'s page">
					<?php if(get_the_author_meta('user_photo', $uid)): ?>	
					    <img src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$uid); ?>" alt="<?php the_author_meta('first_name',$uid); ?>'s photo" class="avatar avatar-140 photo" width="70" height="70" />
				    <?php else : ?>
					    	<?php echo get_avatar(get_the_author_meta('user_email',$uid),'70'); ?>
				    <?php endif; ?>
						</a>
					</div>
					<div class="author-meta">
					<h3><a href="/author/<?php the_author_meta('user_nicename',$uid); ?>" title="Go to <?php the_author_meta('first_name',$uid); ?>'s page"><span class="fn"><?php the_author_meta('first_name',$uid); ?></span> <span class="ln"> <?php the_author_meta('last_name',$uid); ?></span></a></h3>
					<?php if(get_the_author_meta('user_job_title',$uid)): ?>
					<p class="role"><?php the_author_meta('user_job_title',$uid); ?></p>
					<?php endif; ?>
					</div><!-- /.author-meta -->
				</header>
				<?php if(get_the_author_meta('description', $uid)): ?>
					<div class="author-description row clearfix">
					<?php echo substr( get_the_author_meta('description',$uid) , 0 , 140 ); ?>&hellip; <a href="/author/<?php the_author_meta('user_nicename',$uid); ?>">Read more<span class="off-left"> about <?php the_author_meta('first_name',$uid); ?></span></a>
					</div>
				<?php endif; ?>
			<?php $loop = new WP_Query( array( 'post_type' => $post_types, 'author' => $uid, 'posts_per_page' => 2 ) ); ?>
			<?php if ( $loop->have_posts() ) : ?>
				<footer>
					<h4>Recently posted by <?php the_author_meta('first_name',$uid); ?>:</h4>
					<ul class="no-bullets">
			<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
						<li class="<?php the_category_unlinked('post-'); ?>">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							<span class="post-category">Posted in: <?php the_category_unlinked(); ?></span>
						</li>			
					<?php endwhile; ?>
					</ul>
				</footer>
			<?php endif; ?>
				</article>
			</li>
	<?php endforeach;?>
</ul>
</article>
</section>
<?php get_footer(); ?>