<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Single Template
 *
 *
 * @file           single.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/single.php
 * @link           http://codex.wordpress.org/Theme_Development#Footer_.28footer.php.29
 * @since          available since Release 1.0
 */
get_header(); 
	$key = 'postVideo';
	$video_content = get_post_meta($post->ID, $key, TRUE); 
	$lock = 'dbt_checkbox_gated';
	$gated_content = get_post_meta($post->ID, $lock, TRUE);
	$posted = $_GET['posted'];
	$postdate = get_the_time('sgymd');
	$postid = get_the_ID();
	$post_type = get_post_type_object( get_post_type($post) );
	global $wpdb;
	$attachment_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_parent = '$post->ID' AND post_status = 'inherit' AND post_type='attachment' ORDER BY post_date DESC LIMIT 1");
	$articlecat = $category = get_the_category()->category_nicename;
?>
<section>
<div class="twelve-col">
<?php if(($gated_content == 'on' && $posted == $postdate . $postid)) { ?>
<div class="alert"><p>Thank you! The form has been submitted successfully. <?php if('video' == get_post_type()) { ?> Enjoy the video.<?php } if('post' == get_post_type()) { ?> Enjoy the article. <?php } else { ?><a class="" href="<?php echo wp_get_attachment_url( $attachment_id ); ?>">Download the <?php echo $post_type->labels->title_friendly, ''; ?></a>.<?php } ?></p></div> 
<?php } // end if(($gated_content ... ?>
	<div class="eight-col prepend-one">
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		<?php if(!current_user_can('administrator')){ echo setPostViews(get_the_ID()); } ?>
		<article>
			<header>
				<h1><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { echo $post_type->labels->singular_name, ':'; } ?> <?php the_title(); ?></h1>
					<div class="article-meta two-col">
						<?php get_template_part("includes/_post_meta"); ?>
						<?php get_template_part("includes/_share_links"); ?>
					</div><!-- /.article-meta -->
			</header>
			<?php if(has_post_thumbnail()) { the_post_thumbnail('medium'); } ?>
			<?php if('post' != get_post_type() && $gated_content == 'on') { the_content(); } ?>
<?php if(($gated_content == 'on') && ($posted != $postdate . $postid)) { ?>
					<?php if($posted == $postdate . $postid ) { // check if the form has been posted ?>
					<?php } else { // show this if the form has not been posted ?>
					<?php if('post' == get_post_type()) the_excerpt(); ?>
					<div id="gated-content">
						<p>Please enter your details to view the <?php echo $post_type->labels->title_friendly; ?>  '<?php the_title(); ?>'</p>
						
					<?php $theurl = rtrim(get_permalink(),'/'); ?>
					<iframe height="620" width="620" src="https://pages.ubuntu.com/confirmed-download<?php the_category_unlinked('-'); ?>.html?url_param=<?php echo $theurl; ?>&amp;posted_param=<?php echo $postdate . $postid; ?>&amp;cat=<?php the_category_unlinked(''); ?>" name="iframe_w_param" id="iframe_w_param"></iframe>
					</div><!-- /#gated-content -->
					<?php } // end if market_form completed ?>
			<?php } elseif(($gated_content == 'on' && $posted == $postdate . $postid)) { // show this if is gated and the form has been posted ?>
				<?php if('video' == get_post_type()) : ?>
					<iframe class="post-video" width="540" height="389" src="http://www.youtube.com/embed/<?php echo $video_content; ?>?rel=0&showinfo=0" frameborder="0" allowfullscreen></iframe>
					<?php the_content(); ?>
				<?php else : ?>
				<?php if('post' == get_post_type()) : ?>
				<?php the_content(); ?>
				<?php else : ?>
				<div id="download-item">
					<p><a class="button" href="<?php echo wp_get_attachment_url( $attachment_id ); ?>">Download <?php echo $post_type->labels->title_friendly, ''; ?></a></p>
				</div>
				<?php endif; ?>
				<?php endif; // if video  ?>
			<?php } else { // show this if the post is not gated ?>
				<?php if('video' == get_post_type()) : ?>
				<?php the_excerpt(); ?>
					<iframe class="post-video" width="540" height="389" src="http://www.youtube.com/embed/<?php echo $video_content; ?>?rel=0&showinfo=0" frameborder="0" allowfullscreen></iframe>
				<?php the_content(); ?>
				<?php elseif('post' == get_post_type()) : ?>
					<?php the_content(); ?>
				<?php else : ?>
					<?php the_content(); ?>
					<div id="download-item">
						<p><a class="button" href="<?php echo wp_get_attachment_url( $attachment_id ); ?>">Download <?php echo $post_type->labels->title_friendly, ''; ?></a></p>
					</div>
				<?php endif; // if video  ?>
			<?php } // end if gated ?>
		</article>
	</div><!-- /.eight-col -->
<?#php get_sidebar(); ?>
</div><!-- /.twelve-col -->
<div class="twelve-col">
<?php get_template_part("includes/_related_posts"); ?>
<?php endwhile; // while have_posts ends ?> 
<?php endif; // if have_posts ends ?> 
<?php comments_template(); ?> 
</div><!-- /.twelve-col --> 
</section>

<?php get_footer(); ?>
